%global dlrn_nvr tripleo-ipsec-9.1.1.dev3-0.20190513190404.ffe104c
%global dlrn 1
%define upstream_version 9.1.1.dev3
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility
%global srcname tripleo_ipsec
%global rolename tripleo-ipsec

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           ansible-%{rolename}
Version: 9.1.1
Release: 0.20190513190404.ffe104c%{?dist}
Summary:        Ansible role for setting up IPSEC tunnels for TripleO

Group:          System Environment/Base
License:        GPLv3+
URL:            https://git.openstack.org/cgit/openstack/tripleo-ipsec
Source0: tripleo-ipsec-9.1.1.dev3-0.20190513190404.ffe104c.tar.gz
# patches_base=ffe104c743ea983fb268cf7ac8e868cc24b91475/
# patches_ignore=DROP-IN-RPM


BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:  python-d2to1
Requires:       ansible
%else
BuildRequires:  python%{pyver}-d2to1
%if 0%{?rhel} > 7
Requires: ansible
%else
Requires: ansible-python3
%endif
%endif

%description

Ansible role to configure IPSEC tunnels for TripleO

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
